Is ZFS supported in Kernel 4.13-4.15?

    • OMV 4.x
    • Resolved
    • Upgrade 3.x -> 4.x
    • ryecoaaron wrote:

      hoppel118 wrote:

      But maybe the proxmox kernel 4.15 holds the most relevant changes I need.
      Because it is the Ubuntu 18 LTS kernel, it might have the changes backported to it.

      I had a look for a changelog.. all I could find is this: git.proxmox.com/?p=pve-kernel.git;a=summary


      flmaxey wrote:

      hoppel118 wrote:

      Is here anybody using kernel 4.17 in combination with zfs? Any problems?
      I'm somewhat surprised to find; with OMV4 - Kernel 4.17 and the ZFS 4.0.4 plugin, that a ZFS mirror is running well on an Atom D525 processor with 4GB RAM. That's certainly not fast hardware.
      I still have a bit of testing to do, but it looks pretty good so far.

      Just bare in mind that the D525 doesn't have ECC.
    • ellnic wrote:

      I had a look for a changelog.. all I could find is this
      You would need to look at the changelog for Ubuntu instead of proxmox.
      omv 4.1.17 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ellnic wrote:

      In which case, there's a ton of that here:
      Should be easy to find stuff then :D
      omv 4.1.17 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Hi Guys i did a fresh install and upgrade to 4.17 but can not get zfs plugin installed any tips?

      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:


      The following packages have unmet dependencies:
      openmediavault-zfs : Depends: linux-headers-amd64 but it is not going to be installed or
      pve-headers but it is not installable
      E: Unable to correct problems, you have held broken packages.

      apt install linux-headers-$(uname -r)
      Reading package lists... Done
      Building dependency tree
      Reading state information... Done
      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:


      The following packages have unmet dependencies:
      linux-headers-4.17.0-0.bpo.1-amd64 : Depends: linux-compiler-gcc-6-x86 (>= 4.14.17-1~) but 4.9.110-3+deb9u2 is to be installed
      E: Unable to correct problems, you have held broken packages.
    • HI everyone!
      I just got this message from my NAS:

      Source Code

      1. SMART error (FailedOpenDevice) detected on host: delibird on the Mon, 19 Nov 2018 18:18:52 +0100 (CET)
      2. This message was generated by the smartd daemon running on:
      3. host name: delibird DNS domain: local
      4. The following warning/error was logged by the smartd daemon:
      5. Device: /dev/disk/by-id/ata-ST6000VN0041-2EL11C_ZA18QXJY [SAT], unable to open device
      6. Device info:ST6000VN0041-2EL11C, S/N:ZA18QXJY, WWN:5-000c50-0a43fe8bf, FW:SC61, 6.00 TB
      7. For details see host's SYSLOG.
      Display All



      I immediately checked and I found this log:
      Buffer I/O error on dev sda, logic block 1465130324, async page read

      How can I solve it?! Is my HDD going to die or is just a software problem?
      Intel G4400 - Asrock H170M Pro4S - Syba SI-PEX40064 Marvell 88SE9125 - 8GB ram - Corsair VS350W - 2X6TB Seagate Ironwolf - 4x2TB WD Enterprise
      OMV 4.1.17 - Kernel 4.18 backport 3 - omvextrasorg 4.1.2
    • Hi,

      today I updated to latest kernel 4.18 and latest zfs 0.7.12 in debian backports:

      WARNING: Do NOT ubgrade to Kernel 4.16 if you use ZFS

      Everthing seems to work as expected for me. ;)

      Regards Hoppel
      ---------------------------------------------------------------------------------------------------------------
      frontend software - tvos | android tv | libreelec | win10 | kodi krypton
      frontend hardware - appletv 4k | nvidia shield tv | odroid c2 | yamaha rx-a1020 | quadral chromium style 5.1 | samsung le40-a789r2
      -------------------------------------------
      backend software - debian | openmediavault | latest backport kernel | zfs raid-z2 | docker | emby | unifi | vdr | tvheadend | fhem
      backend hardware - supermicro x11ssh-ctf | xeon E3-1240L-v5 | 64gb ecc | 8x10tb wd red | digital devices max s8
      ---------------------------------------------------------------------------------------------------------------------------------------